> For the complete documentation index, see [llms.txt](https://api-docs.urbanpiper.com/downstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.urbanpiper.com/downstream/api/endpoints/order-management/self-delivery-rider-management/rider-live-tracking.md).

# Rider Live Tracking

This endpoint is used to send the rider updates to the aggregators for self-delivery orders.

This endpoint is employed to send live rider tracking updates to aggregators for self-delivery orders. Currently, it is exclusively utilized by Swiggy.

<details>

<summary>Sample cURL</summary>

```json
curl --location 'https://pos-int.urbanpiper.com/ext/api/v1/generic/pos/rider-location/' \
--header 'Authorization: apikey testusername:testapikey' \
--header 'Content-Type: application/json' \
--data '{
    "order_id": 456834361,
    "location": {
        "latitude": "12.960672653275937",
        "longitude": "77.74994436350707"
    }
}'
```

</details>

<details>

<summary>Response</summary>

```json
{
    "status": "success",
    "message": "enqueued successfully"
}
```

</details>

#### Request URL

<mark style="color:green;">**POST**</mark> <mark style="color:orange;">`/ext/api/v1/generic/pos/rider-location/`</mark>

#### Request Headers

|                    Parameter                    | Value                                                                |
| :---------------------------------------------: | -------------------------------------------------------------------- |
| <mark style="color:red;">`Authorization`</mark> | API key-based auth header. Refer authentication.                     |
|  <mark style="color:red;">`X-UPR-Biz-Id`</mark> | The Biz ID of the business the request is for. Refer authentication. |

#### Request Parameters

|       Parameter      |   Type  |                        Value                       |
| :------------------: | :-----: | :------------------------------------------------: |
|      `order_id`      | integer |                 UrbanPiper order ID                |
|      `location`      |  object | Object consists of latitude and longitude details. |
|  `location.latitude` |  string |      latitude of the rider carrying the order      |
| `location.longitude` |  string |      longitude of the rider carrying the order     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api-docs.urbanpiper.com/downstream/api/endpoints/order-management/self-delivery-rider-management/rider-live-tracking.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
